Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.security.provider
Class SimpleSecurityContext

    java.lang.Object
      org.jasig.portal.security.provider.ChainingSecurityContext
          org.jasig.portal.security.provider.SimpleSecurityContext

All Implemented Interfaces:
  java.io.Serializable, ISecurityContext

    public class SimpleSecurityContext

extends ChainingSecurityContext
implements ISecurityContext

This is an implementation of a SecurityContext that checks a user's credentials against an MD5 hashed password entry.

Version:
  $Revision: 1.25 $
Author:
  Andrew Newman, newman@yale.edu
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jasig.portal.security.provider.ChainingSecurityContext
`ChainingSecurityContext.ChainingAdditionalDescriptor, ChainingSecurityContext.ChainingOpaqueCredentials, ChainingSecurityContext.ChainingPrincipal`

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`private int` | `SIMPLESECURITYAUTHTYPE`

Fields inherited from class org.jasig.portal.security.provider.ChainingSecurityContext
`isauth, myAdditionalDescriptor, myOpaqueCredentials, myOrder, myPrincipal, mySubContexts, stopWhenAuthenticated`

Constructor Summary
`SimpleSecurityContext()`

Method Summary
`void` | `authenticate()` Authenticate user.
`static byte[]` | `decode(java.lang.String base64)`
`int` | `getAuthType()` Returns the canonical authentication type for this flavor of authentication.
`protected static int` | `getValue(char c)`

Methods inherited from class org.jasig.portal.security.provider.ChainingSecurityContext
`addSubContext, doesSubContextExist, getAdditionalDescriptor, getOpaqueCredentials, getOpaqueCredentialsInstance, getPrincipal, getPrincipalInstance, getSubContext, getSubContextNames, getSubContexts, isAuthenticated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jasig.portal.security.ISecurityContext
`addSubContext, getAdditionalDescriptor, getOpaqueCredentials, getOpaqueCredentialsInstance, getPrincipal, getPrincipalInstance, getSubContext, getSubContextNames, getSubContexts, isAuthenticated`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### SIMPLESECURITYAUTHTYPE

    private final int SIMPLESECURITYAUTHTYPE

See Also:
  Constant Field Values

Constructor Detail

### SimpleSecurityContext

    SimpleSecurityContext()

Method Detail

### getAuthType

    public int getAuthType()

  Description copied from interface: `ISecurityContext`
  Returns the canonical authentication type for this flavor of authentication. Each value returned should be either a globally registered auth flavor or a local variant.

  Specified by:
    `getAuthType` in interface `ISecurityContext`
  Returns:
    The unique authentication value identifier. Values with the high order 16 bits clear are local (0x0000 - 0x00FF) where values with the high order 16 bits set (0xFF00 - 0xFFFF are foundation types distributed by JASIG. All other should be registered and globally unique.

### authenticate

    public void authenticate()
                      throws PortalSecurityException

  Authenticate user.

  Specified by:
    `authenticate` in interface `ISecurityContext`
  Overrides:
    `authenticate` in class `ChainingSecurityContext`
  Throws:
    `PortalSecurityException`
  See Also:
    `ISecurityContext.getPrincipalInstance()`, `ISecurityContext.getOpaqueCredentialsInstance()`

### decode

    public static byte[] decode(java.lang.String base64)

### getValue

    protected static int getValue(char c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD